%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Class/Accessor.pm) perl(Class/Accessor/Class.pm) perl(Class/Accessor/Fast.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(HTML/LinkExtor.pm) perl(HTML/Parser.pm) perl(HTML/TableParser.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Regexp/Common.pm) perl(Socket.pm) perl(Test/More.pm) perl(WWW/Mechanize.pm) perl(YAML/Tiny.pm) perl(autouse.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.31
%define module_name Astro-NED-Query
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.31
Release: alt1
Summary: base class for NED queries
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DJ/DJERIUS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This class is the base class for queries to NED.  As such, it is
*not* used directly in end-user applications.  Use the classes
Astro::NED::Query::ByName,
Astro::NED::Query::NearName,
Astro::NED::Query::NearPosition instead.

*However*, since most of the functionality of those classes is
derived from this one, most of the documentation for their use
is found here.  Documentation for the other classes will provide
class specific details.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE ChangeLog
%perl_vendor_privlib/A*

%changelog
* Tue Mar 11 2014 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1
- initial import by package builder

